Skip to main content
GET
/
api
/
v1
/
pub
/
health
Health Check
curl --request GET \
  --url https://app.arahealth.io/api/v1/pub/health
import requests

url = "https://app.arahealth.io/api/v1/pub/health"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://app.arahealth.io/api/v1/pub/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "healthy"
}

Overview

Check if the API is running and healthy. This endpoint does not require authentication and can be used for monitoring and health checks.

Endpoint

GET https://app.arahealth.io/api/v1/pub/health
Base URL: https://app.arahealth.io Path: /api/v1/pub/health Method: GET Authentication: None required

Code Examples

var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://app.arahealth.io/api/v1/pub/health");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
const response = await fetch('https://app.arahealth.io/api/v1/pub/health', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
import requests

url = "https://app.arahealth.io/api/v1/pub/health"

response = requests.get(url)
print(response.json())
curl -X GET https://app.arahealth.io/api/v1/pub/health

Response

A successful health check returns:
{
  "message": "healthy"
}

Response Fields

  • message - Health status message (returns “healthy” when API is operational)

Response

200 - application/json

API is healthy

message
string

Health status message

Example:

"healthy"